/*
 * Copyright 2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.migrationanalyzer.render.support.html;

import java.io.OutputStream;
import java.io.Writer;

interface OutputFactory {

    /**
     * Creates a writer that outputs to a file at a specified path
     * 
     * @param path The path to the file to be written
     * @return The writer
     */
    Writer createWriter(String path, String pathPrefix);

    /**
     * Creates an OutputStream that outputs to a file at a specified path
     * 
     * @param path The path to the file to be written
     * @return The output stream
     */
    OutputStream createOutputStream(String path, String pathPrefix);
}
